For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Components
      • GETGet Component Content
      • POSTUpdate Component Content
      • GETGet Component Properties
      • POSTUpdate Component Properties
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Pages and ComponentsComponents

Update Component Properties

POST
https://api.webflow.com/beta/sites/:site_id/components/:component_id/properties
POST
/beta/sites/:site_id/components/:component_id/properties
$curl -X POST "https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/components/8505ba55-ef72-629e-f85c-33e4b703d48b/properties?localeId=65427cf400e02b306eaa04a0&branchId=68026fa68ef6dc744c75b833" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "properties": [
> {
> "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
> "text": "The Hitchhiker’s Guide to the Galaxy"
> },
> {
> "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad627",
> "text": "<div><h3>Dont Panic!</h3><p>Always know where your towel is.</p></div>"
> }
> ]
>}'
1{
2 "errors": []
3}
Update the default property values of a component definition in a specificed locale. Before making updates: 1. Use the [get component properties](/data/reference/pages-and-components/components/get-properties) endpoint to identify properties that can be updated in a secondary locale. 2. Rich Text properties may include a `data-w-id` attribute. This attribute is used by Webflow to maintain links across locales. Always include the original `data-w-id` value in your update requests to ensure consistent behavior across all locales. <Note>The request requires a secondary locale ID. If a `localeId` is missing, the request will not be processed and will result in an error.</Note> Required scope | `components:write`
Was this page helpful?
Previous

List Collections

Next
Built with

Update the default property values of a component definition in a specificed locale.

Before making updates:

  1. Use the get component properties endpoint to identify properties that can be updated in a secondary locale.
  2. Rich Text properties may include a data-w-id attribute. This attribute is used by Webflow to maintain links across locales. Always include the original data-w-id value in your update requests to ensure consistent behavior across all locales.
The request requires a secondary locale ID. If a localeId is missing, the request will not be processed and will result in an error.

Required scope | components:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
component_idstringRequired
Unique identifier for a Component

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

branchIdstringOptionalformat: "objectid"
Scope the operation to work on a specific branch.

Request

Update a Component Property
propertieslist of objectsRequired
A list of component properties to update within the specified secondary locale.

Response

Request was successful
errorslist of strings
A list of error messages, if any.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error